/*
 * io_board.h
 *
 *  Created on: 6 апр. 2020 г.
 *      Author: ZavyalovRA
 */

#ifndef CODE_IO_BOARD_H_
#define CODE_IO_BOARD_H_

#include "stm32f1xx_hal.h"

/*
 * Board identifier.
 */
#define BOARD_ORPHEUSC_MK1
#ifdef	BOARD_ORPHEUSC_MK1
/*
 * IO pins assignments.
 */
#define LED1_PIN			GPIO_PIN_15
#define	AVCLAN_TX_PIN		GPIO_PIN_9
#define	AVCLAN_RX_PIN		GPIO_PIN_9
#define	CAN_RX_PIN			GPIO_PIN_8

/*
 * PORT assignments.
 */
#define LED1_PORT			GPIOA
#define	AVCLAN_RX_PORT		GPIOA

#define	AVCLAN_TX_PORT		GPIOB
#define	CAN_RX_PORT			GPIOB

#endif /* BOARD_ORPHEUSC_MK1 */

TIM_HandleTypeDef htim3;
TIM_HandleTypeDef htim4;

void GPIO_Config(void);
void TIM3_Config(void);
void TIM4_Config(void);
void SystemClock_Config(void);

#endif /* CODE_IO_BOARD_H_ */
